%global    fontname    cantarell
%global    fontconf    31-%{fontname}.conf
%global    fontconfvf   31-%{fontname}-vf.conf

Name:                  abattis-cantarell-fonts
Version:               0.303.1
Release:               3
Summary:               Humanist sans serif font
License:               Apache-2.0 and OFL-1.1
URL:                   https://git.gnome.org/browse/cantarell-fonts/
Source0:               https://download.gnome.org/sources/cantarell-fonts/%{version}/cantarell-fonts-%{version}.tar.xz
Source1:               31-cantarell.conf
Source2:               31-cantarell-vf.conf

BuildArch:             noarch

BuildRequires:         fontpackages-devel gettext libappstream-glib-devel meson
BuildRequires:         fontconfig pkgconfig xz pkgconfig(appstream-glib)
Requires:              fontpackages-filesystem

%description
This package is the default font for the user interface, which replaces Bitstream Vera.
The font was originally created by Dave Crossland in 2009.

%package_help

%prep
%autosetup -n cantarell-fonts-%{version}

%build
%meson \
        -Dfontsdir=%{_fontbasedir}/%{name} \
        -Duseprebuilt=true
%meson_build

%install
%meson_install
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/

ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconfvf} %{buildroot}%{_fontconfig_confdir}/%{fontconfvf}

%check
appstream-util validate-relax --nonet  %{buildroot}%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml


%files
%license COPYING
%{_fontbasedir}/%{name}/*.otf
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_confdir}/%{fontconfvf}
%{_fontconfig_templatedir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconfvf}

%files help
%doc NEWS README.md
%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml

%changelog
* Wed Jul 27 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 0.303.1-3
- change the font library path to /usr/share/fonts

* Sat May 07 2022 liuyumeng <liuyumeng5@h-partners.com> - 0.303.1-2
- fix license error

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.303.1-1
- update to 0.303.1

* Wed Jan 27 2021 yanglu <yanglu60@huawei.com> - 0.301-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:version update

* Mon Jul 20 2020 wangye <wangye70@huawei.com> - 0.201-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:version update

* Mon Sep 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.4-15
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Tue Sep 3 2019 openEuler Buildteam<buildteam@openeuler.org> - 0.111-2
- Package init
